メインコンテンツへスキップ
POST
/
cms
/
source-code
/
2026-03
/
{environment}
/
content
/
{path}
ファイルを作成
curl --request POST \
  --url https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
import requests

url = "https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path}"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "createdAt": 123,
  "folder": true,
  "id": "<string>",
  "name": "<string>",
  "updatedAt": 123,
  "archivedAt": 123,
  "children": [
    "<string>"
  ],
  "hash": "<string>"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

environment
string
必須
path
string
必須
Pattern: .+

ボディ

multipart/form-data
file
file

レスポンス

successful operation

createdAt
integer<int64>
必須

オブジェクトが最初に作成された時点のタイムスタンプ。

folder
boolean
必須

このパスがフォルダーを参照するかどうかが決定されます。

id
string
必須

CMS開発者ファイルシステムにおけるファイルのパス。

name
string
必須

ファイルの名前。

updatedAt
integer<int64>
必須

オブジェクトが最後に更新された時点のタイムスタンプ。

archivedAt
integer<int64>

オブジェクトがアーカイブ(削除)された時点のタイムスタンプ。

children
string[]

オブジェクトがフォルダーの場合は、フォルダー内のファイルのファイル名が含まれます。

hash
string

データの整合性の確認に使用される、ファイルの内容の固有ID。

最終更新日 2026年4月10日